# Prometheus Monitoring

[Prometheus](https://prometheus.io/docs/introduction/overview/) is an open-sourced tool stack used for monitoring highly dynamic container environments such as kubernetes.

It is a platform that collects metrics from monitored targets by scraping metrics HTTP endpoints on these targets. Prometheus Monitoring automates monitoring of services, alerts maintainers,
and works to identify potential problems.  It allows critical thresholds to be set which aids in resolving issues effectively and efficiently.

We will also take a look at the following topics:

- [Kubernetes Monitoring](kubernetes-monitoring.md)
- [Prometheus Operator](prometheus-operator.md)
- [Visualizations](visualization.md)
- [Security](prometheus-security.md)
- [Node Affinity & Anti-Affinity with Monitoring](AFFINITY.md)  
- [Backup & Recovery](prometheus-backup-recovery.md)
- [Best Practices](prometheus-best-practices.md)

## Additional links

The below links provide more resources to get to know the Prometheus and its components:

- [Prometheus Overview](https://prometheus.io/docs/introduction/overview/)
- [How Prometheus Monitoring works and Prometheus Architecture explained](https://www.youtube.com/watch?v=h4Sl21AKiDg)
- [Setup Prometheus Monitoring on Kubernetes using Helm and Prometheus Operator](https://www.youtube.com/watch?v=QoDqxm7ybLc)
